function [seq, im] = get_sequence_frame_rgbt(seq, channel_default)

seq.frame = seq.frame + 1;

if nargin < 2 %a980330
    channel_default = 1;
end

if strcmpi(seq.format, 'otb')
    if seq.frame > seq.num_frames
        im = [];
    else
        im = imread(seq.image_files{seq.frame});
    end
elseif strcmpi(seq.format, 'vot')
    [seq.handle, image_file] = seq.handle.frame(seq.handle);
    
    seq.channels.color.image_path = image_file{1}; %a980330 first channel is related to 'color' and 2nd one to 'ir' image data address
    seq.channels.ir.image_path = image_file{2}; %a980330 first channel is related to 'color' and 2nd one to 'ir' image data address
    image_file = image_file{channel_default}; %a980330 first channel is related to 'color' and 2nd one to 'ir' image data address
    
    if isempty(image_file)
        im = [];
    else
        im = imread(image_file);
    end
else
    error('Uknown sequence format');
end